View Issue Details

IDProjectCategoryView StatusLast Update
0017637MediaMonkey 5DB / Backuppublic2021-03-09 00:15
ReporterLudek Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017637: DB folders are removed from Pinned node after Rebuild Database action
Description1) Pin an DB folder (those folders under Location subnode) and go to Pinned node to view the Folder in the view
2) Go to menu File > Manage Database > [x] Rebuild database
3) Once the database rebuilt finishes
=> nothing happens , but after the refresh fix ( 0017636) the Folder is no longer pinned
4) restart MM5
=> the folder still isn't there, so it was removed from pinned during the rebuild database action

All the other pinned object types (playlist, podcast, artist, album, genre, year, track, computer folder) are preserved correctly after the Rebuild Database action
TagsNo tags attached.
Fixed in build2320

Relationships

related to 0017636 closedLudek Pinned list is broken after 'Rebuild database' action (until MM5 is restarted) 

Activities

Ludek

2021-03-05 22:17

developer   ~0062273

The bug has been introduced while adding folders table rebuilt ( #14093 ) together with making DB folders pineable.

Ludek

2021-03-06 19:40

developer   ~0062277

Fixed

peke

2021-03-09 00:15

developer   ~0062293

Verified 2320

DB Folders PINs are persistent in 2320